summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
committerJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
commit8daeba069e3ea7d22d2f925ece89595fd1b08e43 (patch)
treecf5642f396d84c1fd0bbd5c3adda86f9a1ccb596 /bin
parentAdd Love Beyond Body, Space & Time (diff)
downloadsrc-8daeba069e3ea7d22d2f925ece89595fd1b08e43.tar.gz
src-8daeba069e3ea7d22d2f925ece89595fd1b08e43.zip
Capture standard error and allow failure in up -c
Diffstat (limited to '')
-rw-r--r--bin/up.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/up.sh b/bin/up.sh
index 1b44f9b8..0ff9e69b 100644
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -28,7 +28,7 @@ uploadText() {
 uploadCommand() {
 	temp
 	echo "$ $*" > "${temp}/exec.txt"
-	"$@" >> "${temp}/exec.txt"
+	"$@" >> "${temp}/exec.txt" 2>&1 || true
 	upload "${temp}/exec.txt"
 }
 
es something normal to curl(1). 2019-10-02Add The Red Threads of FortuneJune McEnroe 2019-09-28Add The Black Tides of HeavenJune McEnroe 2019-09-27Fail on HTTP failure status in titleJune McEnroe 2019-09-23Add Trail of LightningJune McEnroe 2019-09-22Revert "Enable cookies in title"June McEnroe This reverts commit 279111dda15dd9170e11b9688eb973f2af2e6300. 2019-09-20Enable cookies in titleJune McEnroe Perhaps this will make it less suspicious to Google. Who knows. 2019-09-16Use sensitivity aliases in TF2June McEnroe 2019-09-16Add The Just CityJune McEnroe 2019-09-12Only GET the final redirect locationJune McEnroe 2019-09-12Consume entire bodyJune McEnroe Aborting the request and leaving data around may be causing intermittent errors. Just discard the rest of the data. 2019-09-10Add title -v flagJune McEnroe 2019-09-10Use curl error bufferJune McEnroe 2019-09-10Set Accept-Encoding in titleJune McEnroe Because apparently it's fine for servers to respond with Content-Encoding you didn't ask for, and curl won't decode it if you didn't ask for it. 2019-09-08Set title User-AgentJune McEnroe Some things don't like you if you don't send one. 2019-09-07Add -x flag to titleJune McEnroe 2019-09-07Ignore SIGPIPE in relayJune McEnroe Allows restarting consumers safely. 2019-09-07Add A Memory Called EmpireJune McEnroe 2019-09-05Handle lack of Content-TypeJune McEnroe 2019-09-05Use CURLINFO_CONTENT_TYPEJune McEnroe Oops, didn't see this. 2019-09-05Decode entities in titlesJune McEnroe 2019-09-05Print title as soon as it's availableJune McEnroe 2019-09-05Use CURL_PREFIX to set flagsJune McEnroe 2019-09-05Add titleJune McEnroe 2019-09-04Add Avorter n'est pas tuerJune McEnroe 2019-08-29Unset executable on shell scriptsJune McEnroe 2019-08-29Add long-missing setopt to bin.7June McEnroe 2019-08-29Add editJune McEnroe